const fs = require('fs');

function getMain(api) {
    const tsPath = api.resolve('src/main.ts')
    return fs.existsSync(tsPath) ? 'src/main.ts' : 'src/main.js'
}

module.exports = (api, opts, rootOpts) => {

    api.extendPackage({
        dependencies: {
            'lyz-scroll': '^1.0.0'
        }
    })

    api.injectImports(getMain(api), `import './plugins/lyz-scroll.js'`);

    api.render({
        './src/plugins/lyz-scroll.js': './lyz-scroll.js'
    })
}